package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.Date;

public class BasicStorehouse {
    private Integer storehouseId;

    private String uuid;

    private Integer depotId;

    private String depotName;

    private Integer orgId;

    private String orgName;

    private String storehouseCode;

    private String storehouseName;

    private Integer storehouseType;

    private Integer storehouseTypeMx;

    private String architectureType;

    private String storeImg;

    private String ground;

    private Integer wall;

    private String roof;

    private String house;

    private BigDecimal designCapacity;

    private Integer keepingWay;

    private BigDecimal grainHeigth;

    private BigDecimal storeOutsideLength;

    private BigDecimal storeOutsideWidth;

    private BigDecimal storeOutsideHeigth;

    private BigDecimal storeOutsideTopHeigth;

    private BigDecimal outsideSiloDiameter;

    private BigDecimal outerWallArea;

    private BigDecimal deductVolume;

    private BigDecimal length;

    private BigDecimal width;

    private BigDecimal heigth;

    private BigDecimal grainLineHeigth;

    private BigDecimal siloDiameter;

    private BigDecimal binVolume;

    private BigDecimal grainPileVolume;

    private Integer houseDoorNum;

    private String houseDootPosition;

    private BigDecimal houseDoorWidth;

    private BigDecimal houseDoorHeigth;

    private Integer drafttype;

    private String heatinsulationstepRoof;

    private String heatinsulationstepWindow;

    private BigDecimal actualCapacity;

    private Date completionDate;

    private Date usedate;

    private Integer storehouseState;

    private Integer storeWay;

    private Integer currenttype;

    private String dutystoreman;

    private String remark;

    private String createname;

    private Date createdate;

    private String updatename;

    private Date updatedate;

    private Integer workingStatus;

    private Integer delFlag;

    private String libraryType;

    /**
     * ID
     * @return storehouse_id ID
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * ID
     * @param storehouseId ID
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * 与一体化系统对接使用的主键
     * @return uuid 与一体化系统对接使用的主键
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * 与一体化系统对接使用的主键
     * @param uuid 与一体化系统对接使用的主键
     */
    public void setUuid(String uuid) {
        this.uuid = uuid == null ? null : uuid.trim();
    }

    /**
     * 所属库点ID
     * @return depot_id 所属库点ID
     */
    public Integer getDepotId() {
        return depotId;
    }

    /**
     * 所属库点ID
     * @param depotId 所属库点ID
     */
    public void setDepotId(Integer depotId) {
        this.depotId = depotId;
    }

    /**
     * 所属库点名称
     * @return depot_name 所属库点名称
     */
    public String getDepotName() {
        return depotName;
    }

    /**
     * 所属库点名称
     * @param depotName 所属库点名称
     */
    public void setDepotName(String depotName) {
        this.depotName = depotName == null ? null : depotName.trim();
    }

    /**
     * 部门ID
     * @return org_id 部门ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 部门ID
     * @param orgId 部门ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 部门名称
     * @return org_name 部门名称
     */
    public String getOrgName() {
        return orgName;
    }

    /**
     * 部门名称
     * @param orgName 部门名称
     */
    public void setOrgName(String orgName) {
        this.orgName = orgName == null ? null : orgName.trim();
    }

    /**
     * 仓房编号
     * @return storehouse_code 仓房编号
     */
    public String getStorehouseCode() {
        return storehouseCode;
    }

    /**
     * 仓房编号
     * @param storehouseCode 仓房编号
     */
    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode == null ? null : storehouseCode.trim();
    }

    /**
     * 仓房名称
     * @return storehouse_name 仓房名称
     */
    public String getStorehouseName() {
        return storehouseName;
    }

    /**
     * 仓房名称
     * @param storehouseName 仓房名称
     */
    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName == null ? null : storehouseName.trim();
    }

    /**
     * 仓房类型编号（立筒仓等）
     * @return storehouse_type 仓房类型编号（立筒仓等）
     */
    public Integer getStorehouseType() {
        return storehouseType;
    }

    /**
     * 仓房类型编号（立筒仓等）
     * @param storehouseType 仓房类型编号（立筒仓等）
     */
    public void setStorehouseType(Integer storehouseType) {
        this.storehouseType = storehouseType;
    }

    /**
     * 仓房类型明细
     * @return storehouse_type_mx 仓房类型明细
     */
    public Integer getStorehouseTypeMx() {
        return storehouseTypeMx;
    }

    /**
     * 仓房类型明细
     * @param storehouseTypeMx 仓房类型明细
     */
    public void setStorehouseTypeMx(Integer storehouseTypeMx) {
        this.storehouseTypeMx = storehouseTypeMx;
    }

    /**
     * 建筑类型
     * @return architecture_type 建筑类型
     */
    public String getArchitectureType() {
        return architectureType;
    }

    /**
     * 建筑类型
     * @param architectureType 建筑类型
     */
    public void setArchitectureType(String architectureType) {
        this.architectureType = architectureType == null ? null : architectureType.trim();
    }

    /**
     * 仓房图
     * @return store_img 仓房图
     */
    public String getStoreImg() {
        return storeImg;
    }

    /**
     * 仓房图
     * @param storeImg 仓房图
     */
    public void setStoreImg(String storeImg) {
        this.storeImg = storeImg == null ? null : storeImg.trim();
    }

    /**
     * 仓房结构_地面
     * @return ground 仓房结构_地面
     */
    public String getGround() {
        return ground;
    }

    /**
     * 仓房结构_地面
     * @param ground 仓房结构_地面
     */
    public void setGround(String ground) {
        this.ground = ground == null ? null : ground.trim();
    }

    /**
     * 仓房结构_墙体
     * @return wall 仓房结构_墙体
     */
    public Integer getWall() {
        return wall;
    }

    /**
     * 仓房结构_墙体
     * @param wall 仓房结构_墙体
     */
    public void setWall(Integer wall) {
        this.wall = wall;
    }

    /**
     * 仓房结构_房顶
     * @return roof 仓房结构_房顶
     */
    public String getRoof() {
        return roof;
    }

    /**
     * 仓房结构_房顶
     * @param roof 仓房结构_房顶
     */
    public void setRoof(String roof) {
        this.roof = roof == null ? null : roof.trim();
    }

    /**
     * 仓房结构_房架
     * @return house 仓房结构_房架
     */
    public String getHouse() {
        return house;
    }

    /**
     * 仓房结构_房架
     * @param house 仓房结构_房架
     */
    public void setHouse(String house) {
        this.house = house == null ? null : house.trim();
    }

    /**
     * 设计容量（数字，单位吨）
     * @return design_capacity 设计容量（数字，单位吨）
     */
    public BigDecimal getDesignCapacity() {
        return designCapacity;
    }

    /**
     * 设计容量（数字，单位吨）
     * @param designCapacity 设计容量（数字，单位吨）
     */
    public void setDesignCapacity(BigDecimal designCapacity) {
        this.designCapacity = designCapacity;
    }

    /**
     * 保管方式
     * @return keeping_way 保管方式
     */
    public Integer getKeepingWay() {
        return keepingWay;
    }

    /**
     * 保管方式
     * @param keepingWay 保管方式
     */
    public void setKeepingWay(Integer keepingWay) {
        this.keepingWay = keepingWay;
    }

    /**
     * 装粮高度
     * @return grain_heigth 装粮高度
     */
    public BigDecimal getGrainHeigth() {
        return grainHeigth;
    }

    /**
     * 装粮高度
     * @param grainHeigth 装粮高度
     */
    public void setGrainHeigth(BigDecimal grainHeigth) {
        this.grainHeigth = grainHeigth;
    }

    /**
     * 仓外_长（米）
     * @return store_outside_length 仓外_长（米）
     */
    public BigDecimal getStoreOutsideLength() {
        return storeOutsideLength;
    }

    /**
     * 仓外_长（米）
     * @param storeOutsideLength 仓外_长（米）
     */
    public void setStoreOutsideLength(BigDecimal storeOutsideLength) {
        this.storeOutsideLength = storeOutsideLength;
    }

    /**
     * 仓外_宽（米）
     * @return store_outside_width 仓外_宽（米）
     */
    public BigDecimal getStoreOutsideWidth() {
        return storeOutsideWidth;
    }

    /**
     * 仓外_宽（米）
     * @param storeOutsideWidth 仓外_宽（米）
     */
    public void setStoreOutsideWidth(BigDecimal storeOutsideWidth) {
        this.storeOutsideWidth = storeOutsideWidth;
    }

    /**
     * 仓外_檐高（米）
     * @return store_outside_heigth 仓外_檐高（米）
     */
    public BigDecimal getStoreOutsideHeigth() {
        return storeOutsideHeigth;
    }

    /**
     * 仓外_檐高（米）
     * @param storeOutsideHeigth 仓外_檐高（米）
     */
    public void setStoreOutsideHeigth(BigDecimal storeOutsideHeigth) {
        this.storeOutsideHeigth = storeOutsideHeigth;
    }

    /**
     * 仓外_顶高(米)
     * @return store_outside_top_heigth 仓外_顶高(米)
     */
    public BigDecimal getStoreOutsideTopHeigth() {
        return storeOutsideTopHeigth;
    }

    /**
     * 仓外_顶高(米)
     * @param storeOutsideTopHeigth 仓外_顶高(米)
     */
    public void setStoreOutsideTopHeigth(BigDecimal storeOutsideTopHeigth) {
        this.storeOutsideTopHeigth = storeOutsideTopHeigth;
    }

    /**
     * 筒仓外径(米)
     * @return outside_silo_diameter 筒仓外径(米)
     */
    public BigDecimal getOutsideSiloDiameter() {
        return outsideSiloDiameter;
    }

    /**
     * 筒仓外径(米)
     * @param outsideSiloDiameter 筒仓外径(米)
     */
    public void setOutsideSiloDiameter(BigDecimal outsideSiloDiameter) {
        this.outsideSiloDiameter = outsideSiloDiameter;
    }

    /**
     * 外墙面积(平方米)
     * @return outer_wall_area 外墙面积(平方米)
     */
    public BigDecimal getOuterWallArea() {
        return outerWallArea;
    }

    /**
     * 外墙面积(平方米)
     * @param outerWallArea 外墙面积(平方米)
     */
    public void setOuterWallArea(BigDecimal outerWallArea) {
        this.outerWallArea = outerWallArea;
    }

    /**
     * 扣除体积
     * @return deduct_volume 扣除体积
     */
    public BigDecimal getDeductVolume() {
        return deductVolume;
    }

    /**
     * 扣除体积
     * @param deductVolume 扣除体积
     */
    public void setDeductVolume(BigDecimal deductVolume) {
        this.deductVolume = deductVolume;
    }

    /**
     * 仓内长度（米）
     * @return length 仓内长度（米）
     */
    public BigDecimal getLength() {
        return length;
    }

    /**
     * 仓内长度（米）
     * @param length 仓内长度（米）
     */
    public void setLength(BigDecimal length) {
        this.length = length;
    }

    /**
     * 仓内宽度（米）
     * @return width 仓内宽度（米）
     */
    public BigDecimal getWidth() {
        return width;
    }

    /**
     * 仓内宽度（米）
     * @param width 仓内宽度（米）
     */
    public void setWidth(BigDecimal width) {
        this.width = width;
    }

    /**
     * 仓内檐高（米）
     * @return heigth 仓内檐高（米）
     */
    public BigDecimal getHeigth() {
        return heigth;
    }

    /**
     * 仓内檐高（米）
     * @param heigth 仓内檐高（米）
     */
    public void setHeigth(BigDecimal heigth) {
        this.heigth = heigth;
    }

    /**
     * 仓内装粮线高
     * @return grain_line_heigth 仓内装粮线高
     */
    public BigDecimal getGrainLineHeigth() {
        return grainLineHeigth;
    }

    /**
     * 仓内装粮线高
     * @param grainLineHeigth 仓内装粮线高
     */
    public void setGrainLineHeigth(BigDecimal grainLineHeigth) {
        this.grainLineHeigth = grainLineHeigth;
    }

    /**
     * 筒仓内径
     * @return silo_diameter 筒仓内径
     */
    public BigDecimal getSiloDiameter() {
        return siloDiameter;
    }

    /**
     * 筒仓内径
     * @param siloDiameter 筒仓内径
     */
    public void setSiloDiameter(BigDecimal siloDiameter) {
        this.siloDiameter = siloDiameter;
    }

    /**
     * 仓内体积
     * @return bin_volume 仓内体积
     */
    public BigDecimal getBinVolume() {
        return binVolume;
    }

    /**
     * 仓内体积
     * @param binVolume 仓内体积
     */
    public void setBinVolume(BigDecimal binVolume) {
        this.binVolume = binVolume;
    }

    /**
     * 粮堆体积
     * @return grain_pile_volume 粮堆体积
     */
    public BigDecimal getGrainPileVolume() {
        return grainPileVolume;
    }

    /**
     * 粮堆体积
     * @param grainPileVolume 粮堆体积
     */
    public void setGrainPileVolume(BigDecimal grainPileVolume) {
        this.grainPileVolume = grainPileVolume;
    }

    /**
     * 仓门数量
     * @return house_door_num 仓门数量
     */
    public Integer getHouseDoorNum() {
        return houseDoorNum;
    }

    /**
     * 仓门数量
     * @param houseDoorNum 仓门数量
     */
    public void setHouseDoorNum(Integer houseDoorNum) {
        this.houseDoorNum = houseDoorNum;
    }

    /**
     * 仓门位置
     * @return house_doot_position 仓门位置
     */
    public String getHouseDootPosition() {
        return houseDootPosition;
    }

    /**
     * 仓门位置
     * @param houseDootPosition 仓门位置
     */
    public void setHouseDootPosition(String houseDootPosition) {
        this.houseDootPosition = houseDootPosition == null ? null : houseDootPosition.trim();
    }

    /**
     * 仓门宽度（米）
     * @return house_door_width 仓门宽度（米）
     */
    public BigDecimal getHouseDoorWidth() {
        return houseDoorWidth;
    }

    /**
     * 仓门宽度（米）
     * @param houseDoorWidth 仓门宽度（米）
     */
    public void setHouseDoorWidth(BigDecimal houseDoorWidth) {
        this.houseDoorWidth = houseDoorWidth;
    }

    /**
     * 仓门高度（米）
     * @return house_door_heigth 仓门高度（米）
     */
    public BigDecimal getHouseDoorHeigth() {
        return houseDoorHeigth;
    }

    /**
     * 仓门高度（米）
     * @param houseDoorHeigth 仓门高度（米）
     */
    public void setHouseDoorHeigth(BigDecimal houseDoorHeigth) {
        this.houseDoorHeigth = houseDoorHeigth;
    }

    /**
     * 通风方式
     * @return draftType 通风方式
     */
    public Integer getDrafttype() {
        return drafttype;
    }

    /**
     * 通风方式
     * @param drafttype 通风方式
     */
    public void setDrafttype(Integer drafttype) {
        this.drafttype = drafttype;
    }

    /**
     * 隔热方式_仓顶
     * @return heatInsulationStep_roof 隔热方式_仓顶
     */
    public String getHeatinsulationstepRoof() {
        return heatinsulationstepRoof;
    }

    /**
     * 隔热方式_仓顶
     * @param heatinsulationstepRoof 隔热方式_仓顶
     */
    public void setHeatinsulationstepRoof(String heatinsulationstepRoof) {
        this.heatinsulationstepRoof = heatinsulationstepRoof == null ? null : heatinsulationstepRoof.trim();
    }

    /**
     * 隔热方式_仓窗
     * @return heatInsulationStep_window 隔热方式_仓窗
     */
    public String getHeatinsulationstepWindow() {
        return heatinsulationstepWindow;
    }

    /**
     * 隔热方式_仓窗
     * @param heatinsulationstepWindow 隔热方式_仓窗
     */
    public void setHeatinsulationstepWindow(String heatinsulationstepWindow) {
        this.heatinsulationstepWindow = heatinsulationstepWindow == null ? null : heatinsulationstepWindow.trim();
    }

    /**
     * 实际容量（数字，单位吨）
     * @return actual_capacity 实际容量（数字，单位吨）
     */
    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    /**
     * 实际容量（数字，单位吨）
     * @param actualCapacity 实际容量（数字，单位吨）
     */
    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    /**
     * 建成日期
     * @return completion_date 建成日期
     */
    public Date getCompletionDate() {
        return completionDate;
    }

    /**
     * 建成日期
     * @param completionDate 建成日期
     */
    public void setCompletionDate(Date completionDate) {
        this.completionDate = completionDate;
    }

    /**
     * 启用日期
     * @return useDate 启用日期
     */
    public Date getUsedate() {
        return usedate;
    }

    /**
     * 启用日期
     * @param usedate 启用日期
     */
    public void setUsedate(Date usedate) {
        this.usedate = usedate;
    }

    /**
     * 仓房状态
     * @return storehouse_state 仓房状态
     */
    public Integer getStorehouseState() {
        return storehouseState;
    }

    /**
     * 仓房状态
     * @param storehouseState 仓房状态
     */
    public void setStorehouseState(Integer storehouseState) {
        this.storehouseState = storehouseState;
    }

    /**
     * 储粮方式
     * @return store_way 储粮方式
     */
    public Integer getStoreWay() {
        return storeWay;
    }

    /**
     * 储粮方式
     * @param storeWay 储粮方式
     */
    public void setStoreWay(Integer storeWay) {
        this.storeWay = storeWay;
    }

    /**
     * 仓房使用状态 
     * @return currentType 仓房使用状态 
     */
    public Integer getCurrenttype() {
        return currenttype;
    }

    /**
     * 仓房使用状态 
     * @param currenttype 仓房使用状态 
     */
    public void setCurrenttype(Integer currenttype) {
        this.currenttype = currenttype;
    }

    /**
     * 责任保管员
     * @return dutyStoreman 责任保管员
     */
    public String getDutystoreman() {
        return dutystoreman;
    }

    /**
     * 责任保管员
     * @param dutystoreman 责任保管员
     */
    public void setDutystoreman(String dutystoreman) {
        this.dutystoreman = dutystoreman == null ? null : dutystoreman.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 创建人
     * @return createName 创建人
     */
    public String getCreatename() {
        return createname;
    }

    /**
     * 创建人
     * @param createname 创建人
     */
    public void setCreatename(String createname) {
        this.createname = createname == null ? null : createname.trim();
    }

    /**
     * 创建日期
     * @return createDate 创建日期
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * 创建日期
     * @param createdate 创建日期
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * 更新人
     * @return updateName 更新人
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 更新人
     * @param updatename 更新人
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename == null ? null : updatename.trim();
    }

    /**
     * 更新日期
     * @return updateDate 更新日期
     */
    public Date getUpdatedate() {
        return updatedate;
    }

    /**
     * 更新日期
     * @param updatedate 更新日期
     */
    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * 粮食作业状态
     * @return working_status 粮食作业状态
     */
    public Integer getWorkingStatus() {
        return workingStatus;
    }

    /**
     * 粮食作业状态
     * @param workingStatus 粮食作业状态
     */
    public void setWorkingStatus(Integer workingStatus) {
        this.workingStatus = workingStatus;
    }

    /**
     * 删除状态(1.正常，2.删除)
     * @return del_flag 删除状态(1.正常，2.删除)
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除状态(1.正常，2.删除)
     * @param delFlag 删除状态(1.正常，2.删除)
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 库类型，0.主粮库，1.代储点粮库
     * @return library_type 库类型，0.主粮库，1.代储点粮库
     */
    public String getLibraryType() {
        return libraryType;
    }

    /**
     * 库类型，0.主粮库，1.代储点粮库
     * @param libraryType 库类型，0.主粮库，1.代储点粮库
     */
    public void setLibraryType(String libraryType) {
        this.libraryType = libraryType == null ? null : libraryType.trim();
    }
}